Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Update will linux-headers downgraden
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
hannemann
n00b
n00b


Joined: 04 Aug 2010
Posts: 3

PostPosted: Wed Aug 04, 2010 12:27 pm    Post subject: Update will linux-headers downgraden Reply with quote

Hallo,

erstmal: mit Gentoo habe ich recht wenig Erfahrung, ich komme mehr so aus der Debian, Ubuntu Ecke.

Jedenfalls habe ich ein Gentoo System auf einem Dockstar aufgesetzt, auf dem ich nun Updates installieren will. Den Kernel habe ich nach Anleitung selbst kompiliert (2.6.33, ein anderer ist nicht vorhanden) und portage möchte nun die headers downgraden.

Ich könnte mir vorstellen, das das nicht so gut ist.

Wie verhindere ich das, bzw. wie würdet ihr vorgehen?

Code:
emerge -uDp world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-libs/glibc-2.11.2 [2.10.1-r1]
[ebuild     U ] sys-devel/gnuconfig-20100122 [20090819]
[ebuild     U ] app-arch/cpio-2.11 [2.9-r2]
[ebuild     U ] sys-devel/autoconf-wrapper-8 [7]
[ebuild     U ] sys-libs/timezone-data-2010j [2010b]
[ebuild  N    ] app-portage/portage-utils-0.3.1  USE="-static"
[ebuild     U ] media-libs/libogg-1.2.0 [1.1.4] USE="-static-libs%"
[ebuild     U ] media-libs/jpeg-8b [8a]
[ebuild     UD] sys-kernel/linux-headers-2.6.30-r1 [2.6.33]
.
.
.


Grüße

Hannemann
Back to top
View user's profile Send private message
CaptainHero
n00b
n00b


Joined: 27 Nov 2009
Posts: 50
Location: Germany

PostPosted: Wed Aug 04, 2010 1:59 pm    Post subject: Reply with quote

Hallo,

Du musst die linux-headers demaskieren.

Code:
emerge autounmask


ausführen falls du app-portage/autounmask noch nicht installiert hast, und dann

Code:
autounmask sys-kernel/linux-headers-2.6.33


Autounmask wird dir nun sys-kernel/linux-headers-2.6.33 in /etc/portage/package.keywords eintragen, ich würde Dir aber sehr empfehlen die entsprechenden Seiten der Gentoo Dokumentation zum Thema "Maskierte Pakete" durchzulesen.
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2040
Location: My own world! I and Gentoo!

PostPosted: Wed Aug 04, 2010 2:36 pm    Post subject: Reply with quote

Kannste mal ein emerge -ptuDN @world durchgeben?
mit dem -t Schalter siehst du welches Paket den Downgrade möchte.

Edith:
Das der von 2.6.33 runter möchte hab ich jetz übersehen.
_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
hannemann
n00b
n00b


Joined: 04 Aug 2010
Posts: 3

PostPosted: Wed Aug 04, 2010 2:37 pm    Post subject: Reply with quote

Das wird gelesen und ausprobiert. Dankeschön

Hast Du eine Ahnung, warum er das macht?

Er will auch ca. 20 Perl Pakete installieren, die ich persönlich gar nicht brauche. Kann natürlich eine Abhängigkeit sein aber dann wäre Perl doch schon drauf, oder?

Nun gut... Was ist Linux ohne Perl. Das würde ich ansonsten bedenkenlos mit installieren.
Back to top
View user's profile Send private message
hannemann
n00b
n00b


Joined: 04 Aug 2010
Posts: 3

PostPosted: Wed Aug 04, 2010 2:53 pm    Post subject: Reply with quote

Max Steel wrote:
Kannste mal ein emerge -ptuDN @world durchgeben?
mit dem -t Schalter siehst du welches Paket den Downgrade möchte.


Ok...

hier die ganze Liste:
Code:
[nomerge      ] virtual/editor-0
[ebuild     U ]  app-editors/nano-2.2.4 [2.1.10]
[nomerge      ] app-editors/vim-7.2.442 [7.2.303] USE="-X%"
[nomerge      ]  app-editors/vim-core-7.2.442 [7.2.303]
[ebuild     U ]   app-vim/gentoo-syntax-20100215 [20090720]
[nomerge      ] net-fs/samba-3.4.6
[nomerge      ]  net-print/cups-1.3.11-r2 [1.3.11-r1]
[ebuild     U ]   app-text/ghostscript-gpl-8.71-r1 [8.64-r3] LINGUAS="-ja% -ko% -zh_CN% -zh_TW%"
[ebuild     U ] sys-fs/e2fsprogs-1.41.11 [1.41.9]
[ebuild     U ] app-arch/tar-1.23-r2 [1.20]
[ebuild     U ] sys-apps/net-tools-1.60_p20090728014017-r1 [1.60_p20071202044231-r1]
[nomerge      ] net-misc/rsync-3.0.6
[ebuild     U ]  dev-libs/popt-1.16 [1.15]
[nomerge      ] sys-process/vixie-cron-4.1-r10
[nomerge      ]  sys-libs/pam-1.1.0
[ebuild     U ]   sys-libs/cracklib-2.8.16 [2.8.15]
[ebuild     U ] app-editors/vim-7.2.442 [7.2.303] USE="-X%"
[ebuild     U ]  app-editors/vim-core-7.2.442 [7.2.303]
[nomerge      ] app-text/ghostscript-gpl-8.71-r1 [8.64-r3] LINGUAS="-ja% -ko% -zh_CN% -zh_TW%"
[ebuild     U ]  net-print/cups-1.3.11-r2 [1.3.11-r1]
[nomerge      ] media-sound/mt-daapd-0.2.4.2  USE="-vorbis*"
[nomerge      ]  net-dns/avahi-0.6.24-r2
[nomerge      ]   dev-python/dbus-python-0.83.0-r1
[ebuild     U ]    dev-libs/dbus-glib-0.86 [0.82-r1] USE="-bash-completion*"
[nomerge      ] net-print/cups-1.3.11-r2 [1.3.11-r1]
[ebuild     U ]  app-text/poppler-0.12.4-r3 [0.12.3-r3]
[nomerge      ] sys-apps/shadow-4.1.2.2
[nomerge      ]  sys-libs/cracklib-2.8.16 [2.8.15]
[ebuild  N    ]   dev-python/setuptools-0.6.13
[nomerge      ] sys-fs/e2fsprogs-1.41.11 [1.41.9]
[ebuild     U ]  sys-libs/e2fsprogs-libs-1.41.11 [1.41.9]
[nomerge      ] app-text/poppler-0.12.4-r3 [0.12.3-r3]
[nomerge      ]  dev-util/cmake-2.6.4-r3
[ebuild     U ]   dev-libs/libxml2-2.7.7 [2.7.3-r2]
[ebuild     U ]    dev-lang/python-2.6.5-r2 [2.6.4-r1]
[ebuild     U ]     app-admin/eselect-python-20100321 [20091230]
[ebuild  NS   ]      sys-devel/gcc-4.4.3-r2 [4.3.4] USE="fortran mudflap nls nptl openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -graphite -gtk (-hardened) (-libffi) (-multilib) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla"
[ebuild     U ]       sys-devel/bison-2.4.1 [2.3]
[ebuild     U ] sys-apps/util-linux-2.17.2 [2.16.2]
[ebuild     U ] sys-apps/findutils-4.4.2 [4.4.0]
[nomerge      ] net-print/cups-1.3.11-r2 [1.3.11-r1]
[nomerge      ]  net-nds/openldap-2.4.19-r1
[ebuild   R   ]   sys-libs/db-4.7.25_p4  USE="-examples%"
[ebuild     U ]    sys-devel/binutils-2.20.1-r1 [2.19.1-r1]
[nomerge      ] app-editors/vim-7.2.442 [7.2.303] USE="-X%"
[nomerge      ]  dev-util/ctags-5.7
[nomerge      ]   app-admin/eselect-ctags-1.13
[ebuild     U ]    app-admin/eselect-1.2.10 [1.2.9]
[ebuild     U ]     sys-apps/coreutils-8.5 [7.5-r1] USE="unicode%*"
[ebuild     U ]      sys-apps/acl-2.2.49 [2.2.47]
[ebuild   R   ]       sys-devel/gettext-0.17-r1  ELIBC="(glibc%*)"
[ebuild   R   ] media-sound/mt-daapd-0.2.4.2  USE="-vorbis*"
[nomerge      ] sys-libs/cracklib-2.8.16 [2.8.15]
[nomerge      ]  dev-lang/python-2.6.5-r2 [2.6.4-r1]
[ebuild     U ]   app-admin/python-updater-0.8 [0.7]
[ebuild     U ] net-misc/openssh-5.3_p1-r1 [5.2_p1-r3] USE="ldap*"
[ebuild     U ] app-admin/syslog-ng-3.1.1 [3.0.4]
[ebuild     U ] dev-vcs/git-1.7.1-r1 [1.6.4.4] USE="blksha1%* curl* perl* threads* webdav*"
[ebuild     U ]  net-misc/curl-7.20.0-r2 [7.19.6]
[ebuild   R   ] sys-apps/busybox-1.15.3  ELIBC="(glibc%*)"
[nomerge      ] sys-apps/shadow-4.1.2.2
[ebuild     U ]  sys-auth/pambase-20100310 [20090620.1-r1]
[nomerge      ] net-analyzer/nmap-5.21
[ebuild     U ]  net-libs/libpcap-1.1.1 [1.0.0-r2] USE="-libnl%"
[nomerge      ] app-text/ghostscript-gpl-8.71-r1 [8.64-r3] LINGUAS="-ja% -ko% -zh_CN% -zh_TW%"
[ebuild     U ]  media-libs/fontconfig-2.8.0 [2.6.0-r2]
[nomerge      ] dev-vcs/git-1.7.1-r1 [1.6.4.4] USE="blksha1%* curl* perl* threads* webdav*"
[ebuild  N    ]  dev-perl/Net-SMTP-SSL-1.01
[ebuild  N    ]   dev-perl/IO-Socket-SSL-1.33  USE="-idn"
[ebuild  N    ]    dev-perl/Net-SSLeay-1.36
[ebuild     U ]     dev-libs/openssl-0.9.8o [0.9.8l-r2]
[ebuild  N    ]  dev-perl/Authen-SASL-2.12  USE="-kerberos"
[ebuild  N    ]   dev-perl/Digest-HMAC-1.01-r1
[ebuild  N    ]    virtual/perl-Digest-MD5-2.39
[ebuild  N    ]     perl-core/Digest-MD5-2.39
[ebuild  N    ]    dev-perl/Digest-SHA1-2.12
[ebuild  N    ]     virtual/perl-digest-base-1.16
[ebuild  N    ]      perl-core/digest-base-1.16
[ebuild  N    ]       virtual/perl-MIME-Base64-3.08
[ebuild  N    ]        perl-core/MIME-Base64-3.08
[nomerge      ] dev-perl/Net-SMTP-SSL-1.01
[ebuild  N    ]  virtual/perl-libnet-1.22
[ebuild  N    ]   perl-core/libnet-1.22  USE="-sasl"
[nomerge      ] dev-vcs/git-1.7.1-r1 [1.6.4.4] USE="blksha1%* curl* perl* threads* webdav*"
[ebuild  N    ]  dev-perl/Error-0.17.016  USE="-test"
[ebuild  N    ]   virtual/perl-Module-Build-0.36.07
[ebuild  N    ]    perl-core/Module-Build-0.36.07
[ebuild  N    ]     virtual/perl-ExtUtils-ParseXS-2.22.05
[ebuild  N    ]      perl-core/ExtUtils-ParseXS-2.22.05
[ebuild  N    ]       virtual/perl-ExtUtils-CBuilder-0.27.03
[ebuild  N    ]        perl-core/ExtUtils-CBuilder-0.27.03
[ebuild  N    ]     virtual/perl-Archive-Tar-1.54
[ebuild  N    ]      perl-core/Archive-Tar-1.54
[ebuild  N    ]       virtual/perl-IO-Zlib-1.09
[ebuild  N    ]        perl-core/IO-Zlib-1.09
[ebuild  N    ]         virtual/perl-IO-Compress-2.021
[ebuild  N    ]          perl-core/IO-Compress-2.021
[ebuild  N    ]           virtual/perl-Scalar-List-Utils-1.21
[ebuild  N    ]            perl-core/Scalar-List-Utils-1.21
[ebuild  N    ]           virtual/perl-Compress-Raw-Zlib-2.021
[ebuild  N    ]            perl-core/Compress-Raw-Zlib-2.021
[ebuild  N    ]           virtual/perl-Compress-Raw-Bzip2-2.021
[ebuild  N    ]            perl-core/Compress-Raw-Bzip2-2.021
[ebuild  N    ]       virtual/perl-Package-Constants-0.02
[ebuild  N    ]        perl-core/Package-Constants-0.02
[ebuild  N    ]     virtual/perl-Test-Harness-3.17
[ebuild  N    ]      perl-core/Test-Harness-3.17
[ebuild  N    ]     dev-perl/YAML-Tiny-1.41
[nomerge      ] net-fs/nfs-utils-1.1.4-r1
[nomerge      ]  sys-libs/e2fsprogs-libs-1.41.11 [1.41.9]
[ebuild  N    ]   sys-devel/bc-1.06.95  USE="readline -libedit -static"
[ebuild     U ]    sys-libs/readline-6.1 [6.0_p4]
[ebuild     U ]     sys-devel/autoconf-2.65 [2.63-r1]
[ebuild     U ] sys-apps/man-pages-3.24 [3.23]
[nomerge      ] sys-libs/glibc-2.11.2 [2.10.1-r1]
[ebuild     U ]  sys-libs/timezone-data-2010j [2010b]
[nomerge      ] app-text/ghostscript-gpl-8.71-r1 [8.64-r3] LINGUAS="-ja% -ko% -zh_CN% -zh_TW%"
[ebuild     U ]  media-libs/tiff-3.9.4 [3.9.2-r1] USE="-static-libs%"
[ebuild     U ]  media-libs/jpeg-8b [8a]
[ebuild     U ]  media-libs/libpng-1.4.3 [1.2.40]
[nomerge      ] net-misc/openssh-5.3_p1-r1 [5.2_p1-r3] USE="ldap*"
[nomerge      ]  sys-auth/pambase-20100310 [20090620.1-r1]
[ebuild  N    ]   app-portage/portage-utils-0.3.1  USE="-static"
[nomerge      ] app-text/poppler-0.12.4-r3 [0.12.3-r3]
[nomerge      ]  media-libs/fontconfig-2.8.0 [2.6.0-r2]
[ebuild     U ]   media-libs/freetype-2.3.12 [2.3.11]
[nomerge      ] dev-python/dbus-python-0.83.0-r1
[ebuild     U ]  sys-apps/dbus-1.2.24 [1.2.3-r1] USE="-test%"
[ebuild     UD] sys-kernel/linux-headers-2.6.30-r1 [2.6.33]
[nomerge      ] sys-devel/autoconf-2.65 [2.63-r1]
[ebuild     U ]  sys-devel/autoconf-wrapper-8 [7]
[nomerge      ] sys-devel/gcc-4.4.3-r2 [4.3.4] USE="fortran mudflap nls nptl openmp (-altivec) -bootstrap -build -doc (-fixed-point) -gcj -graphite -gtk (-hardened) (-libffi) (-multilib) -multislot (-n32) (-n64) -nocxx -objc -objc++ -objc-gc -test -vanilla"
[ebuild     U ]  dev-libs/mpfr-2.4.2_p3 [2.4.1_p5]
[ebuild     U ] app-arch/cpio-2.11 [2.9-r2]
[ebuild     U ] app-shells/bash-4.0_p37 [4.0_p35]
[ebuild     U ] sys-devel/gnuconfig-20100122 [20090819]
[nomerge      ] sys-apps/texinfo-4.13
[ebuild   R   ]  virtual/libintl-0  ELIBC="(glibc%*) (-uclibc)"
[ebuild     U ] sys-libs/glibc-2.11.2 [2.10.1-r1]


-t ist interessant. Eine Art Baumansicht wie?
Back to top
View user's profile Send private message
Max Steel
Advocate
Advocate


Joined: 12 Feb 2007
Posts: 2040
Location: My own world! I and Gentoo!

PostPosted: Wed Aug 04, 2010 3:12 pm    Post subject: Reply with quote

Genau, so eine Art Abhängigkeitsbaum.

Und das mit linux-headers, ist wie CaptainHero schon sagte wohl ein Wechsel von ~testing auf stable:
Code:
$ eix linux-header
[I] sys-kernel/linux-headers
     Available versions:  *2.4.33.3!b!s ~*2.4.36!b!s 2.6.27-r2!b!s 2.6.30-r1!b!s ~2.6.33!b!s ~2.6.34!b!s
     Installed versions:  2.6.30-r1!b!s(16:24:44 26.02.2010)
     Homepage:            http://www.kernel.org/ http://www.gentoo.org/
     Description:         Linux system headers

_________________
mfg
Steel
___________________
Sorry for my bad English.

Heim-PC: Intel i7-5820K, 32GB RAM, GTX 1080
Laptop: Intel Core i5-4300U, 16GB RAM, Intel Graphic
Arbeit-PC: Intel i5-3470S, 16GB RAM, Intel Graphic
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum